Subject: Re: [PATCH net-next 2/5] dp83640: Delay scheduled work.

From: Sørensen, Stefan<[email-masked]>
Date: Mon, 2 Nov 2015 07:23:12 +0000

On Fri, 2015-10-30 at 21:37 +0100, Richard Cochran wrote:
> 
> NAK.  We want to have the time stamp ASAP, because the delay between
> the transmission of the Sync and its application in the servo
> degrades or even spoils synchronization.  Think of an ARM SoC with
> HZ=100.  Two jiffies are 20 milliseconds.

The workqueue is only used for delivering packets where the timestamp
was lost - if a timestamp is received, the packet is delivered
immediately. This patch may introduce a slight delay of the packets
where the timestamp never arrives, by these packets are properly not
very useful to the application anyway.

Stefan